_getAllowanceByGrantee

Returns all the grants for address.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

Path

grantee: STRING - Grantee is the address of the user being granted an allowance of another user's funds.

Query

  • pagination.key: STRING - (base64) (optional) key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
  • pagination.offset: INTEGER - (optional) offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
  • pagination.limit: STRING - (optional) limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
  • pagination.count_total: BOOLEAN - (optional) count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key
    is set.
  • pagination.reverse: BOOLEAN - (optional) reverse is set to true if results are to be returned in the descending order.
curl "https://cosmos-mainnet-archive.allthatnode.com:1317/cosmos/feegrant/v1beta1/allowances/{grantee}" \
-H 'x-allthatnode-api-key: 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj'

Returns

  • OBJECT - The grant information.
{
  "allowances": [
    {
      "granter": "string",
      "grantee": "string",
      "allowance": {
        "type_url": "string",
        "value": "string"
      }
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}

Try Yourself

Path Params
string
required
Query Params
string
string
string
boolean
boolean
Headers
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj

All That Node API key

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!